import { httpApi } from '../../request/httpApi'
export default {
        //获取补偿协议表单（新增
        async addGetTables(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/add',
                method: 'get',
                params: form,
            }, msg)
        },
        async updateGetTables(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/updateGetTables',
                method: 'get',
                params: form,
            }, msg)
        },
        // 填报页面数据保存
        async saveBussData(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/save_buss_data',
                method: 'post',
                data: form,
            }, msg)
        },
        //协议表单-生成html
        async getExcelHtml(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/get-excel-html_buss',
                method: 'get',
                params: form,
            }, msg)
        },
        //协议表单-获取用户保存数据
        async getBussInfo(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/compensationInfo/get-buss-dataInfo',
                method: 'get',
                params: form,
            }, msg)
        },
        //协议表单-获取坐标位置
        async getBussCols(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/get-html-buss-cols',
            method: 'get',
            params: form,
        }, msg)
    },
    //分页查询补偿协议
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/page',
            method: 'get',
            params: form,
        }, msg)
    },
    //多表预览
    async getBussPdfs(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/get-buss-pdfs',
            method: 'get',
            params: form,
        }, msg)
    },
    //删除协议
    async remove(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/remove',
            method: 'get',
            params: form,
        }, msg)
    },
    //表单复制
    async copeTab(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/cope-tab',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取附件列表
    async getBussFileList(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/agreementFile/getFileList',
            method: 'get',
            params: form,
        }, msg)
    },
    //删除附件
    async deleteFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/agreementFile/delete',
            method: 'get',
            params: form,
        }, msg)
    },
    //取消保存补偿协议
    async unSave(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/unSave',
            method: 'get',
            params: form,
        }, msg)
    },
    //单表pdf预览 
    async getSingleBussPdfInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-land/compensationInfo/get-buss-pdfInfo',
            method: 'get',
            params: form,
        }, msg)
    },
}
